Skip to content

CRM

Read CRM account notes and revision

Read one account's editable notes and exact revision before updating it. Requires crm:read and access to the selected CRM. Use organizationId platform only for Endurance HQ's CRM as a platform admin; omit only for personal CRM. Unlike the account list's combined notes, this returns only the editable notes field. Saved website context stays separate.

Method

GET

Path

/v1/crm/accounts/notes

Required scope

crm:read

Request

curl -X GET "https://api.endurancehq.app/v1/crm/accounts/notes" \
  -H "Authorization: Bearer $EHQ_API_KEY"

Query schema

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "accountId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "organizationId": {
      "description": "Use platform for Endurance HQ's CRM, an authorized organization ID, or omit only for personal CRM.",
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "required": [
    "accountId"
  ],
  "additionalProperties": false
}

Response

Success status: 200

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "accountId": {
          "type": "string"
        },
        "organizationId": {
          "type": [
            "string",
            "null"
          ]
        },
        "name": {
          "type": "string"
        },
        "notes": {
          "type": [
            "string",
            "null"
          ]
        },
        "revision": {
          "type": "string"
        },
        "href": {
          "type": "string"
        }
      },
      "required": [
        "accountId",
        "organizationId",
        "name",
        "notes",
        "revision",
        "href"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}

Other surfaces

MCP tool: ehq_crm_account_notes_get